xmapGene <- function(v)  {
  r <- gene.details(v)
  if (dim(r)[1]==0) { stop("Gene not found!\n") }
  startpoint <- r[1,"seq_region_start"]
  chr        <- r[1,"name"]
  myurl <- paste ("http://xmap.picr.man.ac.uk/#",chr,"/x",startpoint,"/16/h", sep="")
  browseURL(myurl) 
}

xmapTranscript <- function(v)  {
  r <- transcript.details(v)
  if (dim(r)[1]==0) { stop("Transcript not found!\n") }
  startpoint <- r[1,"seq_region_start"]
  chr        <- r[1,"name"]
  myurl <- paste ("http://xmap.picr.man.ac.uk/#",chr,"/x",startpoint,"/16/h", sep="")
  browseURL(myurl) 
}

xmapExon <- function(v)  {
  r <- exon.details(v)
  if (dim(r)[1]==0) { stop("Exon not found!\n") }
  startpoint <- r[1,"seq_region_start"]
  chr        <- r[1,"name"]
  myurl <- paste ("http://xmap.picr.man.ac.uk/#",chr,"/x",startpoint,"/16/h", sep="")
  browseURL(myurl) 
}

xmapProbeset <- function(v)  {
  r <- probeset.to.probe(v,as.vector=FALSE)

  if (dim(r)[1]==0) { stop("Probeset not found!\n") }
  if (is.multitarget(v))  { stop("Probeset is multitargetting.\n") }
  chr        <- r[1,"chr"]

  startpoint <- min(r[r$"chr"==chr,"seq_region_start"])
  myurl <- paste ("http://xmap.picr.man.ac.uk/#",chr,"/x",startpoint,"/16/h", sep="")
  browseURL(myurl) 
}
