.xmap.in.range <- function(sql,start,stop,strand,chr,unique=TRUE,rm.mt) {
 if((strand!=1) & (strand!=-1)) {stop("Strand must be 1 (forward), or -1 (reverse)")}
  con <- .xmap.get.con("core")
  r <- .xmap.in.range.call(start,stop,strand,chr,call=sql,con=con)
  if(unique) {
  	r <- unique(r)
  }
  
  r
}

probes.in.range <- function(start, stop, strand, chr,unique=TRUE) {
  sql <- "xmap_probesOnlyInRange"
  r <- .xmap.in.range(sql,start,stop,strand,chr,unique)
  if((!is.null(r) & (dim(r)[2] > 0))) {
    r <- as.character(r[,"probe_id"])
  }
  r
}

probesets.in.range <- function(start, stop, strand, chr,unique=TRUE) {
  sql <- "xmap_probesetsInRange"
  r <- .xmap.in.range(sql,start,stop,strand,chr,unique)
  if((!is.null(r) & (dim(r)[2] > 0))) {
    r <- r[,"name"]
  }
  r
}

exons.in.range <- function(start, stop, strand, chr,unique=TRUE) {
  sql <- "xmap_exonsInRange"
  r <- .xmap.in.range(sql,start,stop,strand,chr,unique)
  if((!is.null(r) & (dim(r)[2] > 0))) {
    r <- r[,"stable_id"]
  }
  r
}

transcripts.in.range <- function(start, stop, strand, chr,unique=TRUE) {
  sql <- "xmap_transcriptsInRange"
  r <- .xmap.in.range(sql,start,stop,strand,chr,unique)
  if((!is.null(r) & (dim(r)[2] > 0))) {
    r <- r[,"stable_id"]
  }
  r
}

genes.in.range <- function(start, stop, strand, chr,unique=TRUE) {
  sql <- "xmap_genesInRange"
  r <- .xmap.in.range(sql,start,stop,strand,chr,unique)
  if((!is.null(r) & (dim(r)[2] > 0))) {
    r <- r[,"stable_id"]	
  }
  r
}
