si <- function(x, v, group, gps, median.gene=FALSE,median.probeset=FALSE,unlogged=TRUE) {
  if(missing(group)) {
   tr1 <- gps[[1]]
   tr2 <- gps[[2]]
  }
  else {
    tr1 <- group.indices(x, group,gps[1]) 
    tr2 <- group.indices(x, group,gps[2]) 
  }

  r <- gene.to.exon.probeset.expr(x, v)

  #Can return from here - if nothing found...
  if(dim(r)[1] == 0) { return(r) }

  gene.list <- split(r, r$"gene")
  
  lapply(gene.list,function(a) {
    a   <- a[!duplicated(a$"probeset_name"),,drop=FALSE] 
    idx <- c(tr1,tr2)
    tmp <- as.matrix(a[,idx,drop=FALSE])

    tr1 <- seq_along(tr1)
    tr2 <- length(tr1) + seq_along(tr2)
    idx <- c(tr1,tr2)
    
    if(median.gene)     { avfun.g <- median }
    else                { avfun.g <- mean   }
    if(median.probeset) { avfun.p <- median }
    else                { avfun.p <- mean   }
    if(unlogged) {
      tmp <- 2^tmp
      avs <- apply(tmp,2,avfun.g)
      tmp <- sweep(tmp,2,avs,"/")
      s1  <- apply(tmp[,tr1,drop=FALSE],1,avfun.p)
      s2  <- apply(tmp[,tr2,drop=FALSE],1,avfun.p)
      si  <- log2(s1/s2)
    }
    else {
      avs <- apply(tmp,2,avfun.g)
      tmp <- sweep(tmp,2,avs,"-")
      s1  <- apply(tmp[,tr1,drop=FALSE],1,avfun.p)
      s2  <- apply(tmp[,tr2,drop=FALSE],1,avfun.p)
      si <- s1-s2
    }

    fac <- as.factor(idx %in% tr2)

    r <- rowttests(tmp,fac)
    r <- cbind(si,r[,c("p.value","statistic"),drop=FALSE],
               rep(avfun.g(log2(avs[tr1]) - log2(avs[tr2])),length(si)))

    rownames(r) <- a$"probeset_name"
    colnames(r) <- c("si","p.score","t.statistic","gene.av")
    r
  })
}
