\name{details}
\alias{details}
\alias{exon.details}
\alias{transcript.details}
\alias{gene.details}

\title{Get detailed annotation for exons, transcripts and genes}
\description{
  Given a character vector of Ensembl database names, get more detailed annotation from X:Map.
}
\usage{
  gene.details(v)
  transcript.details(v)
  exon.details(v)

}
\arguments{
 \item{v}{A character vector of database identifiers}
}

\details{
  Connects to the X:Map database to retrieve data. Before these functions can be used, \code{\link{xmapConnect}} must have been called.
}
\value{
A \code{\link{data.frame}}.
}
\seealso{
  \link{xmapConnect} \link{filters} \link{mappings}
}
\examples{
  if(interactive()) {
    xmapConnect()
    gene        <-  probeset.to.gene(c("3743919"))
    transcripts <- gene.to.transcript(gene)
    exons       <- gene.to.exon(gene)
    gene.details(gene)
    transcript.details(transcripts)
    exon.details(exons)
  }
}
\keyword{misc}
\author{C.J. Miller, M.J. Okoniewski}
\references{\url{http://xmap.picr.man.ac.uk}}
