\name{probes.in.range}
\alias{probes.in.range}
\alias{probesets.in.range}
\alias{exons.in.range}
\alias{transcripts.in.range}
\alias{genes.in.range}

\title{Given a set of chromosome coordinates, return the genomic features within}
\description{
  Return the \code{probes},\code{probesets},\code{exons},\code{transcripts} or \code{genes} between the specified locations. 
}
\usage{
probes.in.range(start, stop, strand, chr,unique=TRUE)
probesets.in.range(start, stop, strand, chr,unique=TRUE)
exons.in.range(start, stop, strand, chr,unique=TRUE)
transcripts.in.range(start, stop, strand, chr,unique=TRUE)
genes.in.range(start, stop, strand, chr,unique=TRUE)
}
\arguments{
 \item{start}{Starting nucleotide position}
 \item{stop}{Ending nucleotide position}
 \item{strand}{ 1 is forward, -1 is reverse}
 \item{chr}{Chromosome}
 \item{unique}{If \code{TRUE} remove duplicates }
}

\details{
  Connects to the X:Map database to retrieve data. Before these functions can be used, \code{\link{xmapConnect}} must have been called. 
}
\value{
 A \code{\link{character}} vector, of database identifiers.
}
\seealso{
  \link{xmapConnect}
}
\examples{
  if(interactive()) {
    xmapConnect()
    probes.in.range(1,1000,1,"1")
    probesets.in.range(1,1000,1,"1")
    exons.in.range(1,1000,1,"1")
    transcripts.in.range(1,1000,1,"1")
    genes.in.range(1,1000,1,"1")
  }
}
\keyword{misc}
\author{C.J. Miller, M.J. Okoniewski}
\references{\url{http://xmap.picr.man.ac.uk}}
