\name{probeset.stats}
\alias{probeset.stats}

\title{ Generates summary statistics showing intron, exon and gene hits for the spefied probeset list }
\description{
   Each column represent the uniqueness of a probeset's hits to the
   genome, exons or introns. Each value in a column is 0 or a positive
   integer. If the value is zero then one or more probes within the
   probeset do not match the genome (or exons, or introns). Values of 1
   correspond to probesets where each probe matches once and only once;
   values > 1 correspond to probesets where 1 or more probes hit
   multiple times. For more details see the package vignette.
} \usage{ 
  probeset.stats(probesets) 
}
\arguments{
  \item{probesets}{ a probeset list }
}

\value{
  A data frame with  gene, exon and intron matches for each probeset.
}
\references{\url{ http://bioinformatics.picr.man.ac.uk/}}
\author{ Crispin. J. Miller, Michal Okoniewski }

\seealso{  \code{\link{select.probewise}}    \code{\link{exclude.probewise}}}
\keyword{ misc }
\examples{ 
  if(interactive()) {
    xmapConnect()
    probesets <- gene.to.probeset("ENSG00000005893"); 
    probeset.stats(probesets)
  }
}
