\name{xmapDatabase}
\alias{xmapDatabase}
\alias{xmapConnect}
\alias{xmapDisconnect}
\title{Connect/disconnect to an xmap database}
\description{
  \code{xmapConnect} connects to an instance of the xmap
  database. \code{xmapDisconnect} disconnects. If no parameters are
  specified, then the user is presented with a list of possible
  databases to chose from. Alternatively, the name of the database can
  be specified. Username and password can be specified if required; they
  are requested if they are needed but not specified in the function
  call. \code{xmapDatabase} provides the same functionality as
  \code{xmapConnect}; it is there for backwards compatibility.
}
\usage{
  xmapConnect(name,username,password)
  xmapDatabase(name,username,password)	
  xmapDisconnect()		
}
\arguments{
 \item{name}{The name of the database to connect to}
 \item{username}{The username to use}
 \item{password}{The password to specify for the connection}
}

\value{
Nothing.
}
\details{
  The function looks in the file \code{databases.txt} for a list of possible databases and their connection details. For information about the contents of this file, see the package installation instructions.
}
\examples{
  if(interactive()) {
    xmapDatabase()
    xmapDisconnect()
  }
}
\keyword{misc}
\author{C.J. Miller, M.J. Okoniewski}
\references{\url{http://xmap.picr.man.ac.uk}}
